AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
Active Member
Danny.Gaudet
Posts: 9
Registered: ‎03-13-2014
Message 1 of 21 (256 Views)
Accepted Solution

Multiple 3d area

256 Views, 20 Replies
03-13-2014 10:25 AM

Hi, so here's my problem, i have lots of points taken on the field that represent portions of lands where we had to fill with top soil. I need the area of those portions in square meters. My problem is that i can't use survey figure or parcels because it gives me a 2d surface area... and i need the 3d surface area.. there's not a lot of difference between one protion... but i have like over a hundred little patches.

 

Is there a way to get those area quick and easy without having to build one surface for each of them and going to the stats screen ?

 

Thank you

Danny Gaudet
Surveyor
Construction G-nesis, Qc, Canada
Using Civil 3d 2014

Danny,

 

Your english is fine. I understood exactly what you're looking for.

 

The following LISP code will do what you ask. For each polyline area you pick, one at a time, it will bring up a dialog with the 3d surface area within that polyline. You can copy them down or take screenshots or whatever. If you need the data attached to the polyline or a piece of text added, I could probably add that pretty easily when I get more time. Let me know what else you want this to do.

 

Best regards,

 

Tim

 

;copyright (c)2014 by Timothy Corey
;Delta Engineering Systems, Redding, CA
;Autodesk Authorized Value-Added Reseller
;permission is hereby granted for free use of this program as-is
;This program or any portion may not be sold or combined with any
;for-sale software.
;It is the responsibility of the user to debug the software
;to determine its usability and accuracy.

(defun c:go (/ cosn surf vsurf bdy vbdy what surf2 bdys answer ) (vl-load-com) (setq cosn (getvar "OSMODE")) ;get surface object (setq surf (car (entsel "\nSelect surface: ")) vsurf (vlax-ename->vla-object surf) ) (setq bdy (car (entsel "\nSelect sub-boundary polyline for 3d surface area calculation: "))) (setq vbdy (vlax-ename->vla-object bdy)) (while (and bdy) (if (or (= (cdr (assoc 0 (entget bdy))) "LWPOLYLINE")(= (cdr (assoc 0 (entget bdy))) "POLYLINE")) (get3darea) (setq what (getstring "\nBoundary object must be polyline, press any key to continue: ")) ) (setq bdy (car (entsel "\nSelect sub-boundary polyline for 3d surface area calculation: "))) (setq vbdy (vlax-ename->vla-object bdy)) ) (setvar "OSMODE" cosn) (princ) ) ;end defun go (defun get3darea() (setq Surf2 (vlax-invoke-method vsurf 'copy )) (setq bdys (vlax-get-property surf2 'boundaries)) (vlax-invoke-method bdys 'add vbdy "NewBdy" 4 T 1.0) (vlax-invoke-method surf2 'rebuild) (setq stats (vlax-get-property Surf2 'Statistics)) (setq Answer (strcat "3d surface area inside this polyline is: " (rtos (vlax-get-property stats 'area3d) 2 2))) (vlax-invoke-method Surf2 'delete) (alert answer) (princ) )

 

*Expert Elite*
antoniovinci
Posts: 1,785
Registered: ‎06-03-2011
Message 2 of 21 (249 Views)

Re: Multiple 3d area

03-13-2014 10:36 AM in reply to: Danny.Gaudet

I have no Civil, but...

If you create a big C3D surface passing thru the points, then you explode it, you'd get a bunch of 3D faces.

And every single 3D face could be querable with the _Area command.

Anyone can check this technique out..?

Active Member
Danny.Gaudet
Posts: 9
Registered: ‎03-13-2014
Message 3 of 21 (235 Views)

Re: Multiple 3d area

03-13-2014 11:28 AM in reply to: antoniovinci

How would i do that ? I've create a big surface using my points and without a lot of editing, i can't get the right boundaries for each portion of land.

Danny Gaudet
Surveyor
Construction G-nesis, Qc, Canada
Using Civil 3d 2014
Valued Mentor
ericcollins6932
Posts: 334
Registered: ‎05-13-2010
Message 4 of 21 (226 Views)

Re: Multiple 3d area

03-13-2014 11:46 AM in reply to: Danny.Gaudet

If they are surfaces, both 2D and 3D areas are a part of the statistics from the surface properties.

Eric Collins, P.Tech.(Eng.)

Win 7 Enterprise SP1 64 bit
Intel i7 3770 @ 3.40 GHz
16 GB RAM
Civil 3D 2012 SP2
*Expert Elite*
antoniovinci
Posts: 1,785
Registered: ‎06-03-2011
Message 5 of 21 (221 Views)

Re: Multiple 3d area

03-13-2014 11:55 AM in reply to: Danny.Gaudet

Would you please upload here the XYZ text file..?

Active Member
Danny.Gaudet
Posts: 9
Registered: ‎03-13-2014
Message 6 of 21 (215 Views)

Re: Multiple 3d area

03-13-2014 12:01 PM in reply to: antoniovinci

I've include the drawing.

 

Thank you

Danny Gaudet
Surveyor
Construction G-nesis, Qc, Canada
Using Civil 3d 2014
Valued Mentor
ericcollins6932
Posts: 334
Registered: ‎05-13-2010
Message 7 of 21 (203 Views)

Re: Multiple 3d area

03-13-2014 12:34 PM in reply to: Danny.Gaudet

Can't open as am running C3D 2012. Here is a clip of what I mean.

 

Capture.JPG

Eric Collins, P.Tech.(Eng.)

Win 7 Enterprise SP1 64 bit
Intel i7 3770 @ 3.40 GHz
16 GB RAM
Civil 3D 2012 SP2
Active Member
Danny.Gaudet
Posts: 9
Registered: ‎03-13-2014
Message 8 of 21 (192 Views)

Re: Multiple 3d area

03-13-2014 12:56 PM in reply to: ericcollins6932

I do know about the 3d area of a surface, what i want to do is get the surface area of multiple portions of a survey without having to create a surface for each and one of them... In the pictures red circles are some of those area i need... i used to get them in simple 2d area with a survey figures or a pline around them, but we recently had some difference with one of our sub contractor on a project with big slopes. 

 

Thank you 

 

Sorry for the english... not my first language

 

 

Danny Gaudet
Surveyor
Construction G-nesis, Qc, Canada
Using Civil 3d 2014
*Expert Elite*
antoniovinci
Posts: 1,785
Registered: ‎06-03-2011
Message 9 of 21 (191 Views)

Re: Multiple 3d area

03-13-2014 12:56 PM in reply to: Danny.Gaudet

Monsieur,

as just said, I've not Civil, so please share with us the TEXT file, merci beaucoup.

Active Member
Danny.Gaudet
Posts: 9
Registered: ‎03-13-2014
Message 10 of 21 (185 Views)

Re: Multiple 3d area

03-13-2014 01:00 PM in reply to: antoniovinci

ohhh sorry ! i don't know if you will be able to understand how parts are seperate due to the fact that my surveyor didn't use codes to process lineworks. Anyway here it is !

Danny Gaudet
Surveyor
Construction G-nesis, Qc, Canada
Using Civil 3d 2014
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.